### Method

# Snapd Client refresh_all_sync

since: 1.5

#### Declaration [src]

    GStrv
    snapd_client_refresh_all_sync (
      SnapdClient* client,
      SnapdProgressCallback progress_callback,
      gpointer progress_callback_data,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Update all installed snaps to their latest version.

Available since: 1.5

#### Parameters

`progress_callback`

  Type: `SnapdProgressCallback`

  function to callback with progress.

  The argument can be `NULL`.

`progress_callback_data`

  Type: `gpointer`

  User data to pass to `progress_callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `utf8`

A `NULL`-terminated array of the snap names refreshed or `NULL` on error.

The array is `NULL`-terminated.
Each element is a NUL terminated UTF-8 string.